#include <iostream>
#define ll long long
#define endl "\n"
using namespace std;

const ll maxn = 3*(1e5)+1;
ll n,k,a[maxn],i;
ll sum[maxn];
double ans;

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
    cin >> n >> k;
    for(i=0;i<n;i++){
        cin >> a[i];
    }
    sum[0]=a[0];
    for(i=1;i<n;i++){
        sum[i]=sum[i-1]+a[i];
    }
    for(ll z=k;z<=n;z++){
        ll maxs=sum[z-1];
        for(ll j=z;j<n;j++){
            maxs=max(maxs,sum[j]-sum[j-z]);
        }
        double curr=(double)maxs/z;
        if(curr>ans){
            ans=curr;
        }
    }
    cout << ans << endl;
return 0;
}
